% eegplugin_read_mayo() - READ_MAYO plugin for EEGLAB LAB. 
%                      Matt Stead (in collaboration with Diane Whitmer).
%
% Usage:
%   >> eegplugin_read_mayo(fig, trystrs, catchstrs);
%
% Inputs:
%   fig        - [integer] eeglab figure.
%   trystrs    - [struct] "try" strings for menu callbacks.
%   catchstrs  - [struct] "catch" strings for menu callbacks.

function eegplugin_read_mayo (fig, trystrs, catchstrs);

importmenu = findobj(fig,'tag', 'import data');
uimenu(importmenu, 'label', 'From Mayo .MEF files', 'callback',...
    ['EEG = pop_read_mayo(); [ALLEEG EEG CURRENSET] = eeg_store(ALLEEG,EEG,CURRENTSET);'],'Separator', 'on');